Четверг, 19 Январь 2012 02:47

Устанавливаем Zend Optimizer в MAMP

Оцените материал
(0 голосов)

Zend Optimizer

К большому сожалению, разработчики МАМПы, (яблочный Денвер) больше не хотят дружить с таким замечательным ПО, как Zend Optimizer. Устанавливать платные CMS при этом становится невозможно (таки закрытый код еще никто не отменял). Но это для нас уже не проблема. Под катом — инструкции о том, как установить Zend Optimizer в MAMP. Поехали!

Итак, устанавливать Зенд я буду на Mac OS X Lion 10.7.2 (x64). Проблему составили как раз эти выделенные жирным шрифтом слова. И еще большую проблему — злосчастные 64 бита. Дело в том, что на сайте разработчика вроде бы и есть «Zend Optimizer for Mac OS X», да только он не пашет. Как ни крути. Погуляв по страницам ненавистного Яндекса, нашел-таки причину. Оказывается там лажа... то есть, хорошая вещь, но 32-х разрядная. 

Но, как говорится, интернет не без добрых людей. Недолго порывшись в блогах и форумах, нашел такой замечательный файл (качайте, качайте — это бесплатно и без регистрации).

Теперь к делу. Распаковав скачанный архив, находим в нем файл ZendOptimizer.so и копируем его в /Applications/MAMP/bin/php/php5.2.17/lib/php/extensions, после чего открываем файл php.ini (лежит в /Applications/MAMP/bin/php/php5.2.17/conf), вписываем в него строку [Zend] zend_extension="/Applications/MAMP/bin/php/php5.2.17/lib/php/extensions/ZendOptimizer.so"

Не забудьте проверить версию пхп. Должна стоять 5.2.17.

Ну, вот и все. Ставьте спокойно платные движки. Да, и не забудьте установить какой-нибудь файл-менеджер. Или настроить отображение файлов. Потому что всеми маководами любимые файлы, которые начинаются с точки (например, в дистрибутиве Джумлы изначально лежит файл htaccess.txt, в Битриксовском он называется сразу .htaccess), пользуются большой популярностью у платных CMS и не видны без предварительной настройки в Макоси. Удачи!

Прочитано 4738 раз
Твитнуть

Комментарии   

 
Otilia
0 #9 Otilia 19.12.2014 01:24
I know this if off topic but I'm looking into starting my own weblog and
was wondering what all is required to get setup?

I'm assuming having a blog like yours would
cost a pretty penny? I'm not very internet savvy so
I'm not 100% sure. Any recommendations or advice would be greatly appreciated.
Cheers

my blog - herpes cure: https://docs.google.com/document/d/1bWv44U4_MuOsBQ7b6j0qsJmh97FcJG0usRR6FCK--1A/edit?usp=sharing
Цитировать
 
 
Tamie
0 #8 Tamie 01.12.2014 23:49
I'm not sure where you're getting your information, but good topic.
I needs to spend some time learning more or understanding more.
Thanks for fantastic info I was looking for this info for my mission.

Feel free to surf to my weblog ... Buy Web2.0 Accounts: https://www.fiverr.com/s/5jlrzn
Цитировать
 
 
Daniele
0 #7 Daniele 17.11.2014 08:55
You made some good points there. I looked on the net for more information about
the issue and found most people will go along with your views on this web site.


My homepage - whatsapp spy que es: http://whatsappspydownload.wordpress.com
Цитировать
 
 
PocketDevil
0 #6 PocketDevil 15.12.2012 17:06
Спасибо, помогли! Респект!
Цитировать
 
 
Константин123
0 #5 Константин123 24.11.2012 02:38
Цитирую камрад1:
Вроде бы все по инструкции делал, но вот не хочет работать и все тут. Пишет зенд не уставновлен. Где можно косячить при установке? Пробовал самую новую версию Mamp pro 2.2.1 так и более старую с рутреккера. Не пашет ни так ни сяк.


Попробуйте редактировать через File -> Edit Template -> PHP -> PHP 5.2.17 ini
Цитировать
 
 
Артем
0 #4 Артем 18.08.2012 19:25
Цитирую Артем:
Я пользуюсь версией 2.0.1, все прекрасно работает.


Это во-первых. А во-вторых, в настройках Мампа зенд оптимизер никак не отображается. Просто начинают работать зашифрованные скрипты.

К слову скажу, что способ еще раз удачно проверен после переустановки макоси.
Цитировать
 
 
Юрий Савченко
0 #3 Юрий Савченко 15.08.2012 14:11
Цитирую камрад1:
Вроде бы все по инструкции делал, но вот не хочет работать и все тут. Пишет зенд не уставновлен. Где можно косячить при установке? Пробовал самую новую версию Mamp pro 2.2.1 так и более старую с рутреккера. Не пашет ни так ни сяк.

Такая же шняга :/ так притом что и на 1,9 с установленным тоже не работает, может что то в настройках системы не так?
Цитировать
 
 
Артем
0 #2 Артем 28.07.2012 18:24
Советую не гнаться за новинками. Я пользуюсь версией 2.0.1, все прекрасно работает. Ставлю туда Битрикс, Амиро и ХостЦМС. Летают не хуже Джумлы. Если нужно, могу поделиться рабочей версией Мампа.
Цитировать
 
 
камрад1
0 #1 камрад1 25.07.2012 19:30
Вроде бы все по инструкции делал, но вот не хочет работать и все тут. Пишет зенд не уставновлен. Где можно косячить при установке? Пробовал самую новую версию Mamp pro 2.2.1 так и более старую с рутреккера. Не пашет ни так ни сяк.
Цитировать
 

Добавить комментарий

Защитный код
Обновить

joomla 1.7

Не получаются доработки?

Становитесь партнером студии Millor! Быстро и недорого эти ребята помогут решить практически любую проблему.

Хотите подзаработать?

Если да, то вам сюда! Партнерская программа студии MyWebSite. Получи 20% за каждого клиента! Работаем по всей России и СНГ!

Рекламное место свободно.